#include <iostream>
#include <cstring>

using namespace std;

int main()
{
    int a1, a2;
    string c1, c2, c3;
    cin >> c1;
    cin >> a1 >> a2;
    if ( a1 - a2 > 1 || a2 - a1 > 1)
        {
            cout << "nemoguce" << endl;
            return 0;
        }
    c2 = c1;
    c2.erase ( 0, 1 );
    c1.erase ( 1, 1 );
    if ( a1 - a2 == 1 )
        {
            for ( int i = 0; i < a1; i++)
                c3 += c1 + c2;
            c3 += c1;
        }
    if ( a2 - a1 == 1 )
        {
            for ( int j = 0; j < a2; j++)
                c3 += c2 + c1;
            c3 += c2;
        }
    if ( a1 - a2 == 0 )
        {
            for ( int k = 0; k < a1; k++)
                c3 += c1 + c2;
        }
    cout << c3;
    return 0;
}